function write_verhib_xls(inputxls,regdepth,reggroup,depthlbl_num,species,chemlbl,plantmass,residchem)

warning('off','MATLAB:xlswrite:AddSheet');

% write the output (vegetation composition) to the source spreadsheet
% the regularisation parameters are used in the sheetname
outputsheet = [ 'veget_rd' num2str(regdepth) '_rg' num2str(reggroup)];
xlswrite(inputxls,{'Depth (cm):'},outputsheet, 'B1');
xlswrite(inputxls,depthlbl_num',outputsheet, 'B2');
xlswrite(inputxls,{'Species name:'},outputsheet, 'A2');
xlswrite(inputxls,species,outputsheet, 'A3');
xlswrite(inputxls,plantmass,outputsheet,'B3');

% write the residual to the source spreadsheet
% the regularisation parameters are used in the sheetname
outputsheet = [ 'resid_rd' num2str(regdepth) '_rg' num2str(reggroup)];
xlswrite(inputxls,chemlbl,outputsheet, 'B1');
xlswrite(inputxls,{'Depth (cm):'},outputsheet, 'A1');
xlswrite(inputxls,depthlbl_num,outputsheet, 'A2');
xlswrite(inputxls,residchem',outputsheet, 'B2');

warning('on','MATLAB:xlswrite:AddSheet');
